com.h3c.util.snmp.command

## Class SnmpCredentials

- java.lang.Object
- - com.h3c.util.snmp.command.SnmpCredentials

- All Implemented Interfaces:
    Serializable

      public final class SnmpCredentials
      extends Object
      implements Serializable

  SNMP Credentials.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SnmpCredentials(String userName, String authorizationPassword, String privacyPassword, String readCommunityName, String writeCommunityName)` Creates SNMP credentials.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SnmpCredentials` | `forSnmpV1V2(String readCommunityName, String writeCommunityName)` Creates SNMP credentials for SNMP version 1 and 2.
    `static SnmpCredentials` | `forSnmpV3(String userName, String authorizationPassword, String privacyPassword)` Creates SNMP credentials for SNMP version 3.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SnmpCredentials

          public SnmpCredentials(String userName,
                         String authorizationPassword,
                         String privacyPassword,
                         String readCommunityName,
                         String writeCommunityName)

      Creates SNMP credentials.
      Parameters:
        `userName` - User name.
        `authorizationPassword` - Authorization password.
        `privacyPassword` - Privacy password.
        `readCommunityName` - Read community name.
        `writeCommunityName` - Write community name.

  - ### Method Detail

    - #### forSnmpV1V2

          public static SnmpCredentials forSnmpV1V2(String readCommunityName,
                                    String writeCommunityName)

      Creates SNMP credentials for SNMP version 1 and 2.
      Parameters:
        `readCommunityName` - Read community name.
        `writeCommunityName` - Write community name.
      Returns:
        SNMP credentials for SNMP version 1 and 2.

    - #### forSnmpV3

          public static SnmpCredentials forSnmpV3(String userName,
                                  String authorizationPassword,
                                  String privacyPassword)

      Creates SNMP credentials for SNMP version 3.
      Parameters:
        `userName` - User name.
        `authorizationPassword` - Authorization password.
        `privacyPassword` - Privacy password.
      Returns:
        SNMP credentials for SNMP version 3.

Copyright © 2014. All Rights Reserved.